Package org.apache.sling.cms

## Interface PageTemplateManager

    @ProviderType
    public interface PageTemplateManager

An interface for retrieving the available templates to create a page under the specified resource. Adaptable from any Resource.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull List<PageTemplate>` `getAvailableTemplates()` Gets the available templates for the current resource based on the templates in the repository and then limiting the templates by their allowed path

### Method Detail

#### getAvailableTemplates

    @NotNull
    @NotNull List<PageTemplate> getAvailableTemplates()

Gets the available templates for the current resource based on the templates in the repository and then limiting the templates by their allowed path

Returns:
  the list of available templates